# purefa_ntp – Configure Pure Storage FlashArray NTP settings

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Set or erase NTP configuration for Pure Storage FlashArrays.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- purestorage

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | FlashArray API token for admin privileged user.
fa_url string / required |  | FlashArray management IPv4 address or Hostname.
ntp_servers list |  | A list of up to 4 alternate NTP servers. These may include IPv4, IPv6 or FQDNs. Invalid IP addresses will cause the module to fail. No validation is performed for FQDNs. If more than 4 servers are provided, only the first 4 unique nameservers will be used. if no servers are given a default of 0.pool.ntp.org will be used.

state
string

Choices:
- absent
- present ←

Create or delete NTP servers configuration

## Notes

Note

- This module requires the `purestorage` Python library
- You must set `PUREFA_URL` and `PUREFA_API` environment variables if fa_url and api_token arguments are not passed to the module directly

## Examples

    - name: Delete existing NTP server entries
      purefa_ntp:
        state: absent
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Set array NTP servers
      purefa_ntp:
        state: present
        ntp_servers:
          - "0.pool.ntp.org"
          - "1.pool.ntp.org"
          - "2.pool.ntp.org"
          - "3.pool.ntp.org"
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.